IBM Support

Migration recommendations and considerations concerning IBM DB2 Analytics Accelerator for z/OS Version 5.1.0

Product documentation


Abstract

This document describes recommendations and considerations for migration to IBM DB2 Analytics Accelerator for z/OS Version 5.1.0

Content

Migration considerations

  1. Before installing V5.1.0 maintenance level PTF-4 or a higher one on the IDAA server you first need to upgrade the IBM DB2 Analytics Accelerator Studio to version 6.1.0.3.20170628-2249 or above.
  2. If you plan to do a "skip-level" migration (for example from version 3 to version 5), contact IBM support for assistance.
  3. If any of the following passwords (which were stored on your accelerators) has a length of less than 4 characters, you must first change these passwords to a new value with at least 4 characters before you can upgrade the product software to version 5.1.0. Affected passwords:
    • IBM DB2 Analytics Accelerator Console
    • CDC started task user ID
    • User ID of the owner of the CDC metadata tables (if different from CDC started task user)
    • Logon user ID of call-home FTP server
    • Keystore containing the Authentication Encryption Key (AEK) for self-encrypting disks (Netezza)
    • Encryption of Data in Motion: password securing the keystore (PKCS#12 file) that contains the RSA key pair for encrypted connections to an accelerator (to be stored on the NSS server and to be imported into the accelerator)
    • DB2 user ID configured to run the CDC Capture Agent (as specified on IBM DB2 Analytics Accelerator Console and if different from CDC started task user ID)
  4. If you want to migrate from a version older than V4.1.0 PTF-5 (that is, V4.1.0 PTF4 and before) to your target maintenance level of V5.1.0, you must complete one additional step to upgrade the Access Server (AS) and the Replication Engine (RE). This step is needed because the AS and RE of each maintenance level of V5.1.0 cannot be installed if certain older versions of the AS and the RE are present. Compatible versions of the AS and the RE are included in the V5.1.0 GA version. So to upgrade to your target maintenance level of V5.1.0, first transfer and apply the AS package and the RE Base package of V5.1.0 GA to the accelerator, and then continue to install the components of your target maintenance level of V5.1.0, including the AS and the RE.

    Follow these steps:

    1. Install V5.1.0 GA with SMP/E. This establishes the V5.1.0 SMP/E environment and extracts the V5.1.0 GA components to the hierarchical file system (HFS) on z/OS.
    2. Transfer and apply the AS package and the RE Base package of V5.1.0 GA from the HFS to all V4.1.0 accelerators that you want to migrate.
    3. Install your target maintenance level of V5.1.0 using SMP/E. This extracts the components of this maintenance level to the HFS on z/OS and at the same time removes the older V5.1.0 GA packages from the HFS.
    4. Transfer and apply all components of your target maintenance level of V5.1.0 to your accelerators as described in the Installation Guide.
      If the entry for the Access Server package or the Replication Engine package of your target maintenance level of V5.1.0 is grayed out in the 'Transfer Software Versions' window, the corresponding package cannot be transferred to the accelerator from IBM DB2 Analytics Accelerator Studio. Hence you must run the SYSPROC.ACCEL_UPDATE_SOFTWARE stored procedure manually, as described here:


    How to transfer the Access Server software manually to the accelerator
    Follow the instructions in 'Running an SQL script from IBM DB2 Analytics Accelerator Studio' in the IBM DB2 Analytics Accelerator for z/OS: User's Guide. Make sure that you have a connection to the database before issuing the SQL command. Issue the following SQL command:

    CALL SYSPROC.ACCEL_UPDATE_SOFTWARE('<accelerator_name>',
    '<?xml version="1.0" encoding="UTF-8" ?>
            <dwa:softwareMaintenanceCommand
             xmlns:dwa="http://www.ibm.com/xmlns/prod/dwa/2011" version="1.1">
               <deployPackages>
                  <package target="ACCESS_SERVER"
                   location="/usr/lpp/IBM/aqt/v5r1m0/packages/<dwa-iu-as-build-date.tar>" />
               </deployPackages>
            </dwa:softwareMaintenanceCommand>',
    NULL,
    NULL);
    
    Note:
    Replace the <accelerator_name> string with the actual name of the target accelerator. Adapt the location path to your local installation according to the value of the AQT_HOST_PACKAGE_DIRECTORY environment variable, which is set in the AQTENV data set.
    Replace the <dwa-iu-as-build-date.tar> string with the name of the tar-file as shown in the following table:
    Your target maintenance level Required AS tar-file
    PTF-2 dwa-iu-as-20160305-0101.tar
    PTF-3 dwa-iu-as-20161019-0001.tar
    PTF-4 dwa-iu-as-20170126-0000.tar
    PTF-5 dwa-iu-as-20170706-1141.tar


    How to transfer the Replication Engine software manually to the accelerator
    Follow the instructions in 'Running an SQL script from IBM DB2 Analytics Accelerator Studio' in the IBM DB2 Analytics Accelerator Studio: User's Guide. Make sure that you have a connection to the database before issuing the SQL command. Issue the following SQL command:

    CALL SYSPROC.ACCEL_UPDATE_SOFTWARE('<accelerator_name>',
    '<?xml version="1.0" encoding="UTF-8" ?>
            <dwa:softwareMaintenanceCommand
             xmlns:dwa="http://www.ibm.com/xmlns/prod/dwa/2011" version="1.1">
               <deployPackages>
                  <package target="REPLICATION_ENGINE"
                   location="/usr/lpp/IBM/aqt/v5r1m0/packages/<dwa-iu-re-build-date.tar>" />
               </deployPackages>
            </dwa:softwareMaintenanceCommand>',
    NULL,
    NULL);
    
    Note:
    Replace the <accelerator_name> string with the actual name of the target accelerator. Adapt the location path to your local installation according to the value of the AQT_HOST_PACKAGE_DIRECTORY environment variable, which is set in the AQTENV data set.
    Replace the <dwa-iu-re-build-date.tar> string with the name of the tar-file as shown in the following table:
    Your target maintenance level Required RE tar-file
    PTF-2 dwa-iu-re-20160204-0822.tar
    PTF-3 dwa-iu-re-20161019-0001.tar
    PTF-4 dwa-iu-re-20170126-0000.tar
    PTF-5 dwa-iu-re-20170126-0000.tar


    Note:
    If you need the required RE Base package again for another migration, but did not save (transfer) the package during the installation of the V5.1.0 GA package, you can still retrieve it from SMP/E:

    1. Open an OMVS Shell as root.
    2. Export the following variables by issuing these commands:
      • export SMP_Directory=<IDAA version 5 installation path>
      • export SMP_Phase=POST
      • export SMP_Action=COPY
      • export SMP_File=<any value>
      • where <IDAA version 5 installation path> is the path to the HFS directory containing the update packages. Usually, this is something like /usr/lpp/IBM/aqt/v5r1m0/. It is mandatory to add the trailing slash ('/') at the end of the path specification.

        The command 'export SMP_File=<any value>' means that the variable SMP_File can contain an arbitrary value, but must be set.

    3. Change to the SMP_Directory:
      cd $SMP_Directory
    4. Run the following command:
      ./aqtcfd.sh
    This copies the RE Base package of V5.1.0 GA (a tar file) to the package directory again. You can then transfer and apply it once more.

    If you need the required AS package again for another migration, but did not transfer the package of the V5.1.0 GA package, you can retrieve it by restoring the AS component of your target maintenance level of V5.1.0 in SMP/E.

Document information

More support for: DB2 Analytics Accelerator for z/OS

Software version: 5.1.0

Operating system(s): z/OS

Reference #: 7050254

Modified date: 19 September 2017


Translate this page: